<template>
  <require from="./client-main.css"></require>

  <div class="client-main-area" id="mainArea">
    <div class="content-wrapper">
      <div class="container-fluid">
        <div class="row">
          <div class="col-xl-3 col-sm-6 mb-1">
            <div class="card-statistics card text-white bg-light-blue">
              <div class="card-body text-dark shadow">
                <div class="card-body-icon">
                  <i class="fa-solid fa-money-bill-transfer"></i>
                </div>
                <div class="mr-5 title">Capital disponível</div>
                <div class="mr-5 value">R$ ${status.saldo}</div>
              </div>
            </div>
          </div>
          <div class="col-xl-3 col-sm-6 mb-1">
            <div class="card-statistics card text-white bg-light-yellow">
              <div class="card-body shadow">
                <div class="card-body-icon">
                  <i class="fa-solid fa-comments-dollar"></i>
                </div>
                <div class="mr-5 title">Capital em operação</div>
                <div class="mr-5 value">R$ ${status.operando}</div>
              </div>
            </div>
          </div>
          <div class="col-xl-3 col-sm-6 mb-1">
            <div class="card-statistics card text-white bg-light-green" show.bind="!status.red">
              <div class="card-body shadow">
                <div class="card-body-icon">
                  <i class="fa-solid fa-money-bill-trend-up"></i>
                </div>
                <div class="lucro-diario-content">
                  <div class="mr-5 title">
                    Lucro do dia
                    <div class="lucro-dia-date">
                      <span click.delegate="onOpendDatePicker('lucro-dia')">${ajustarDia(lucroDiaDate)}</span>
                      <input type="text" id="lucroDiaDate" class="d-none"></input>
                    </div>
                  </div>
                  <div class="mr-5 value">R$ ${status.lucro}</div>
                </div>
              </div>
            </div>
            <div class="card-statistics card text-white bg-light-red" show.bind="status.red">
              <div class="card-body shadow">
                <div class="card-body-icon">
                  <i class="fa-solid fa-money-bill-trend-up"></i>
                </div>
                <div class="lucro-diario-content">
                  <div class="mr-5 title">
                    Lucro do dia
                    <div class="lucro-dia-date">
                      <span click.delegate="onOpendDatePicker('lucro-dia')">${ajustarDia(lucroDiaDate)}</span>
                      <input type="text" id="lucroDiaDate" class="d-none"></input>
                    </div>
                  </div>
                  <div class="mr-5 value">R$ ${status.lucro}</div>
                </div>
              </div>
            </div>
          </div>
          <div class="col-xl-3 col-sm-6 mb-1" show.bind="status.red">
            <div class="card-statistics card text-white bg-light-red">
              <div class="card-body shadow">
                <div class="card-body-icon">
                  <i class="fa-solid fa-filter-circle-dollar"></i>
                </div>
                <div class="mr-5 title">% Lucro do dia</div>
                <div class="mr-5 value"> ${status.operacaoDiaria.percentualDiario} %</div>
              </div>
            </div>
          </div>
          <div class="col-xl-3 col-sm-6 mb-1" show.bind="!status.red">
            <div class="card-statistics card text-white bg-light-perc">
              <div class="card-body shadow">
                <div class="card-body-icon">
                  <i class="fa-solid fa-filter-circle-dollar"></i>
                </div>
                <div class="mr-5 title">% Lucro do dia</div>
                <div class="mr-5 value">+ ${status.operacaoDiaria.percentualDiario} % </div>
              </div>
            </div>
          </div>
        </div>
        <div class="row">
          <div class="col-lg-4">
            <div class="card card-user-editing mb-0 pt-3 px-0 pb-0" show.bind="editing">
              <form class="requires-validation row" novalidate>
                <div class="mb-2 col-12">
                  <label for="inputNome" class="form-label">Nome Completo</label>
                  <input type="text" id="inputNome" class="form-control" value.bind="user.name">
                </div>
                <div class="mb-2 col-sm-12 col-md-6">
                  <label for="inputTelefone" class="form-label">Telefone</label>
                  <input type="text" id="inputTelefone" class="form-control" aria-describedby="telefoneHelpBlock" value.bind="user.telefone">
                  <div id="telefoneHelpBlock" class="form-text">
                    Seu telefone deve ter de 11 caracteres, onde os dois primeiros são o DDD.
                  </div>
                </div>
                <div class="mb-2 col-sm-12 col-md-6">
                  <label for="inputEmail" class="form-label">Email</label>
                  <input type="email" id="inputEmail" class="form-control" value.bind="user.email">
                </div>
                <div class="mb-0 col-sm-6 col-md-4">
                  <label for="inputAliquota" class="form-label">Alíquota</label>
                  <input type="number" id="inputAliquota" class="form-control" aria-describedby="aliquotaHelpBlock" value.bind="user.aliquota">
                </div>
                <div class="mb-2 col-sm-6 col-md-8 d-flex align-items-end">
                  <button class="btn-sm btn-secondary btn-alterar-aliq">Alterar Alíquota</button>
                </div>
                <div class="mb-2 col-12">
                  <div id="aliquotaHelpBlock" class="form-text">
                    Esse é seu valor de aliquota. Conforme acordado e contratado, vamos procurar ter um rendimento de até 1% diário sobre sua conta. Caso deseje aumentar sua aliquota clique no botão alterar aliquota, preencha o formulário e entraremos em contato!
                  </div>
                </div>

              </form>
              <div class="form-actions d-flex justify-content-end align-items-center mt-3">
                <button type="button" class="btn btn-sm btn-light" click.delegate="onToggleEditing()">Cancelar</button>
                <button type="button" class="btn btn-sm btn-secondary ml-1" click.delegate="onToggleEditing()">Alterar</button>
              </div>
            </div>
            <div class="card card-user-info" show.bind="!editing">
              <div class="card-body p-4">
                <div class="info-body">
                  <h3>MEUS DADOS</h3>
                </div>
                <div class="info-body">
                  <span class="info-title text-muted">Nome</span>
                  <span class="info-value">${getProperty('name')}</span>
                </div>
                <div class="info-body">
                  <span class="info-title text-muted">Telefone  </span>
                  <span class="info-value">${getProperty('cel')}</span>
                </div>
                <div class="info-body">
                  <span class="info-title text-muted">E-mail</span>
                  <span class="info-value">${getProperty('email')}</span>
                </div>
                <div class="info-body">
                  <span class="info-title text-muted">Data da compra</span>
                  <span class="info-value">${getProperty('inclusao')}</span>
                </div> 
                <div class="info-body">
                  <span class="info-title text-muted">Alíquota contratada</span>
                  <span class="info-value">${getProperty('aliquota')}%</strong>
                </div>
              </div>
              <!-- <div class="card-user-footer card-footer d-flex justify-content-between align-items-center mt-3 p-2">
                <button class="btn-sm btn-danger">Cancelar conta</button>
                <button class="btn-sm btn-secondary me-2" click.delegate="onToggleEditing()">Alterar dados</button>
              </div> -->
            </div>
          </div>
          <div class="client-tabs col-lg-8">
            <div class="card mb-3 h-100">
              <div class="card-body shadow">
                <nav>
                  <div class="nav nav-tabs mb-3" id="nav-tab" role="tablist">
                    <button class="nav-link active" id="nav-home-tab" data-bs-toggle="tab" data-bs-target="#nav-home" type="button" role="tab" aria-controls="nav-home" aria-selected="true">
                      Análise Gráfica
                    </button>
                    <!-- <button class="nav-link" id="nav-profile-tab" data-bs-toggle="tab" data-bs-target="#nav-profile" type="button" role="tab" aria-controls="nav-profile" aria-selected="false">
                      Operações Realizadas
                    </button> -->
                  </div>
                </nav>
                <div class="tab-content p-3 border bg-light" id="nav-tabContent">
                  <div class="tab-pane fade active show" id="nav-home" role="tabpanel" aria-labelledby="nav-home-tab">
                      <div class="dates">
                        <span class="title">Operações diárias</span>
                        <!-- <div class="first-date">
                          <span class="period">Data inicial: </span>
                          <span class="curr-date" click.delegate="onOpendDatePicker('initial')">${ajustarDia(initialDate)}</span>
                          <input type="text" id="clientInitialDate" class="d-none"></input>
                        </div>
                        <div class="final-date">
                          <span class="period">Data final: </span>
                          <span class="curr-date" click.delegate="onOpendDatePicker('final')">${ajustarDia(finalDate)}</span>
                          <input type="text" id="clientFinalDate" class="d-none"></input>
                        </div> -->
                      </div>
                      <canvas id="chLine"></canvas>
                  </div>
                  <div class="tab-pane fade" id="nav-profile" role="tabpanel" aria-labelledby="nav-profile-tab">
                      <canvas id="chBar"></canvas>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>   
  </div>
</template>
